// xsdms.js
//
// A script to validate an XML document against an XML Schema document
//
// Usage:
//
//      xsdms inputFile schemaFile
//
// If this works it was written by Martin Gudgin ( marting@develop.com )
//

// Crack cmdline args
if (WScript.Arguments.length < 1)
{
   WScript.echo("MSXML XML Schema Validation Utility\n");
   WScript.echo("usage: xsdms inputFile schemaFile <schemaFile>");
   WScript.Quit(1);
}

var schemaCache = new ActiveXObject("MSXML2.XMLSchemaCache.4.0");

var i;  	

var xmlFileName=WScript.Arguments.Item(0);
var dotpos=xmlFileName.indexOf(".xml")
var basename = xmlFileName.substr(0, dotpos);

var schemaFile="../BODs/" + basename+ ".xsd"
WScript.echo("=====================================================================");
WScript.echo("Processing file:  " + basename);
WScript.echo("Schema file:      " + schemaFile);

var schemaSource = new ActiveXObject ( "MSXML2.DOMDocument.4.0" );
schemaSource.async = false;
schemaSource.validateOnParse = false;

// load the schema document
if (schemaSource.load(schemaFile))
	{
  		try
		{
			// Set up XPath
			schemaSource.setProperty ( "SelectionLanguage", "XPath" );
			schemaSource.setProperty ( "SelectionNamespaces", "xmlns:a='http://www.w3.org/2001/XMLSchema'" );

			// Assume no targetNamespace
			var nsuri = "";

  			// extract the targetNamespace attribute ( if any ) from the schema using XPath
  			var tnsattr = schemaSource.selectSingleNode ( "/a:schema/@targetNamespace" );

			// If there is a targetNamespace use it
			if ( tnsattr )
  				nsuri = tnsattr.nodeValue;

  			// add the schema to the cache
  			schemaCache.add ( nsuri, schemaSource );
		}
		catch ( e )
		{
			WScript.echo ( "\nSchema error:  " + e.description );
		}
	}
	else
	{
  		WScript.echo("Schema error");
  		WScript.echo("### error: " + schemaSource.parseError.reason);
  		WScript.echo("### source: " + schemaSource.parseError.srcText);
  		WScript.echo("### line: " + schemaSource.parseError.line);
	}

	
try
{
	// attach the schema cache to a DOM
	var xmlSource = new ActiveXObject("MSXML2.DOMDocument.4.0");
	xmlSource.schemas = schemaCache;

	// load XML document
	xmlSource.async = false;
	xmlSource.validateOnParse = true;

	if (xmlSource.load(WScript.Arguments.Item(0))) 
	{
		WScript.echo("Instance conforms to the Schema");
	}
	else 
	{
		WScript.echo("Instance error" );
		WScript.echo("### error: " + xmlSource.parseError.reason);
		WScript.echo("### source: " + xmlSource.parseError.srcText);
		WScript.echo("### line: " + xmlSource.parseError.line);
	}
}
catch ( e )
{
	WScript.echo ( "Exception loading instance document" );
	WScript.echo ( e.description );
}


